ipRoute

Last published : Oct 30, 2026
Configuration for ipRoute resource.

Properties

(click to see Operations )
Name Data Type Permissions Description
addressFamily <String> Read-write The address family of the route.
Possible values: ipv4, ipv6
distance <Integer> Read-write Distance value for this route
Minimum value: 1
Maximum value: 255
interface <String> Read-write IP gateway interface name or pseudo interface Null
isBest <Boolean> Read-write Indicates is this the best route for the prefix.
metric <Integer> Read-write IP destination prefix.
nextHop <String> Read-write IP gateway address
prefix <String> Read-write IP destination prefix.
prefixLength <Integer> Read-write IP destination prefix length.
Minimum value: 0
Maximum value: 128
type <String> Read-write IP route protocol type

Operations

(click to see Properties )
  • ADD
  • DELETE
  • GET
Some options that you can use for each operations:
  • Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:
    http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yes
    If any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
  • Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,
    To do this, you must specify the username and password in the request header of the NITRO request as follows:
    X-NITRO-USER: <username>
    X-NITRO-PASS: <password>
    Note: In such cases, make sure that the request header DOES not include the following:
    Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green

add

URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ipRoute HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"routerDynamicRouting" : {
"ipRoute" : {
<b>"addressFamily" : <String></b>,
"distance" : <Integer>,
"interface" : <String>,
"nextHop" : <String>,
<b>"prefix" : <String></b>,
<b>"prefixLength" : <Integer></b>
}
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error

delete

URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ipRoute?args=prefixLength:<Integer>,addressFamily:<String>,nextHop:<String>,interface:<String>,prefix:<String> HTTP Method: DELETE
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error

get

URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ipRoute?args=addressFamily:<String> URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ipRoute?args=prefixLength:<Integer>,addressFamily:<String>,prefix:<String> Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/ipRoute ?args=prefixLength:<Integer>,addressFamily:<String>,prefix:<String>
Use this query-parameter to get ipRoute resources based on additional properties.
HTTP Method: GET
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Payload:
{ "routerDynamicRouting": {
"ipRoute" : [{
"addressFamily" : <String>,
"distance" : <Integer>,
"interface" : <String>,
"isBest" : <Boolean>,
"metric" : <Integer>,
"nextHop" : <String>,
"prefix" : <String>,
"prefixLength" : <Integer>,
"type" : <String>
}]
}}